﻿using Infragistics.Win.UltraWinGrid;
using System.ComponentModel;
using System.Windows.Forms;


namespace UtraGridGroupBoxText
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.DisplayLayout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;
            this.ultraGrid1.Dock = DockStyle.Fill;
            this.ultraGrid1.DataSource = CreateCustomersList();
            this.ultraGrid1.DisplayLayout.GroupByBox.ShowBandLabels = ShowBandLabels.None;
            this.ultraGrid1.DisplayLayout.Bands[1].SortedColumns.Add("Name", false, true);
            this.ultraGrid1.Rows.ExpandAll(false);
        }

        public BindingList<Customer> CreateCustomersList()
        {
            BindingList<Customer> myCustomersList = new BindingList<Customer>();
            int customersCount = 20;
            Customer currentCustomer;
            BindingList<Order> currentOrder;

            for (int i = 0; i < customersCount; i++)
            {
                string currentCompanyName = string.Format("Company #{0}", i % 2);
                string currentCustomerName = string.Format("Customer {0}", i);
                string currentPhone = string.Format("{0}{0}-{0}{0}", i);
                currentOrder = CreateOrdersList();

                currentCustomer = new Customer(i, currentCompanyName, currentCustomerName, currentPhone, currentOrder);
                myCustomersList.Add(currentCustomer);
            }

            return myCustomersList;
        }

        public BindingList<Order> CreateOrdersList()
        {
            BindingList<Order> myOrdersList = new BindingList<Order>();
            int ordersCount = 5;
            Order currentOrder;

            for (int i = 0; i < ordersCount; i++)
            {
                string currentOrderName = string.Format("Order #{0}", i);
                int currentOrderAmount = i * 10;
                currentOrder = new Order(currentOrderName, currentOrderAmount);
                myOrdersList.Add(currentOrder);
            }

            return myOrdersList;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
        }
    }
}
